Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class DSAKeyGenerationParameters

    java.lang.Object
      org.bouncycastle.crypto.KeyGenerationParameters
          org.bouncycastle.crypto.params.DSAKeyGenerationParameters

    public class DSAKeyGenerationParameters

extends KeyGenerationParameters

Constructor Summary
`DSAKeyGenerationParameters(java.security.SecureRandom random, DSAParameters params)`

Method Summary
`DSAParameters` | `getParameters()`

Methods inherited from class org.bouncycastle.crypto.KeyGenerationParameters
`getRandom, getStrength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAKeyGenerationParameters

    public DSAKeyGenerationParameters(java.security.SecureRandom random,
                                      DSAParameters params)

Method Detail

### getParameters

    public DSAParameters getParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD